.popupBox {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #0000008c;
    z-index: 100000;
    display: none;
    align-items: center;
    justify-content: center;
}

.popupContent {
    max-width:420px!important;
    width:100%;
    background: #fff;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0px 0px 10px #000;
    max-width: 750px;
}
span.closePopup {
    position: absolute;
    right: -10px;
    top: 10px;
    cursor: pointer;
}

.popupLeftText {
    width: 100%;
    background: #fff9;
    position: relative;
}

.popupProduct {
    position: absolute;
    right: 20px;
    bottom: 0px;
    width: 220px;
    height: auto;
    top: 0px;
    margin: auto;
    display: flex;
}

.popupText span.otherStyle {
    padding: 3px 10px;
}

.popupText {
    font-family: "Roboto", sans-serif;
}

.popupText h3 {
    font-size: 27px;
    line-height: 37px;
    font-weight: 700;
    text-align: center;
    padding-top: 0px;
}

.popupText span.otherStyle {
    font-size: inherit;
}

.popupText span.text {
    font-size: 22px;
}

.popupText input,
.popupText a.promo,
.popupText button.promo {
    width: 100%;
}

.popupText a.defaultBtn.promo {
    margin: 0px;
    text-decoration: none;
    margin-top: 15px;
    margin-bottom: 15px;
    color: #000;
}

.popupText a.defaultBtn {
    text-align: center;
    display: block;
    width: 100%;
    text-decoration: none;
    color: #4472c4b5;
}

.priceDiscPopup {
    position: absolute;
    background: #28a745;
    border-radius: 50%;
    padding: 41px 7px;
    font-size: 40px;
    color: #fff;
    font-weight: bold;
    top: -7px;
    transform: rotate(-17deg);
    left: -13px;
}

@media screen and (max-width: 1000px) {
    .popupContent {
        width: 95%;
    }
}

@media screen and (max-height: 550px) {
    .popupContent {
        height: 90%;
        overflow: auto;
        padding: 0px 30px;
        margin-top: 0px;
        top: auto;
    }

    .popupLeftText {
        height: 480px;
        transform: none;
        top: auto;
    }
}

@media screen and (max-height: 600px) and (max-width: 500px) {
    .popupContent,
    .popupLeftText {
        width: 99% !important;
        height: 99vh;
        padding: 10px 3px;
    }
}

@media screen and (max-width: 680px) {
    .popupProduct img {
        display: none;
    }

    .popupText input,
    .popupText a.promo,
    .popupText a.defaultBtn,
    span.smileInfo,
    .popupText button.promo {
        width: 100%;
        margin-right: 0px;
    }

    .popupLeftText {
        height: auto;
        max-height: 100%;
    }

}